Qt5Webkit -> USE_WXNEEDED

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

Qt5Webkit -> USE_WXNEEDED

Rafael Sadowski
Hi All,

If we link against Qt5WebKit, we must also set USE_WXNEEDED.

Ok? Comments?

Rafael Sadowski

Index: audio/mscore/Makefile
===================================================================
RCS file: /cvs/ports/audio/mscore/Makefile,v
retrieving revision 1.35
diff -u -p -u -p -r1.35 Makefile
--- audio/mscore/Makefile 29 Jun 2018 22:16:09 -0000 1.35
+++ audio/mscore/Makefile 27 Jul 2018 18:47:02 -0000
@@ -1,5 +1,8 @@
 # $OpenBSD: Makefile,v 1.35 2018/06/29 22:16:09 espie Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 BROKEN-hppa = ICE on moc_qtsingleapplication.cxx
 
 V = 2.2.1
@@ -8,7 +11,7 @@ DISTNAME = MuseScore-${V}
 PKGNAME = musescore-${V}
 EXTRACT_SUFX = .zip
 CATEGORIES = audio x11
-REVISION = 1
+REVISION = 2
 
 HOMEPAGE = http://musescore.org/
 MAINTAINER = Brian Callahan <[hidden email]>
Index: devel/kf5/kdesignerplugin/Makefile
===================================================================
RCS file: /cvs/ports/devel/kf5/kdesignerplugin/Makefile,v
retrieving revision 1.7
diff -u -p -u -p -r1.7 Makefile
--- devel/kf5/kdesignerplugin/Makefile 4 Jun 2018 20:25:32 -0000 1.7
+++ devel/kf5/kdesignerplugin/Makefile 27 Jul 2018 18:47:08 -0000
@@ -1,7 +1,11 @@
 # $OpenBSD: Makefile,v 1.7 2018/06/04 20:25:32 rsadowski Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = integrating KDE 5 widgets with Qt Designer
 DISTNAME = kdesignerplugin-${VERSION}
+REVISION = 0
 
 WANTLIB += ${COMPILER_LIBCXX} KF5Auth KF5Bookmarks KF5Codecs KF5Completion
 WANTLIB += KF5ConfigCore KF5ConfigGui KF5ConfigWidgets KF5CoreAddons
Index: devel/kf5/kdewebkit/Makefile
===================================================================
RCS file: /cvs/ports/devel/kf5/kdewebkit/Makefile,v
retrieving revision 1.9
diff -u -p -u -p -r1.9 Makefile
--- devel/kf5/kdewebkit/Makefile 4 Jun 2018 20:25:32 -0000 1.9
+++ devel/kf5/kdewebkit/Makefile 27 Jul 2018 18:47:08 -0000
@@ -1,7 +1,11 @@
 # $OpenBSD: Makefile,v 1.9 2018/06/04 20:25:32 rsadowski Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = integration of the HTML rendering engine WebKit into KDE
 DISTNAME = kdewebkit-${VERSION}
+REVISION = 0
 
 SHARED_LIBS = KF5WebKit 4.1
 
Index: devel/kreport/Makefile
===================================================================
RCS file: /cvs/ports/devel/kreport/Makefile,v
retrieving revision 1.4
diff -u -p -u -p -r1.4 Makefile
--- devel/kreport/Makefile 21 May 2018 10:51:55 -0000 1.4
+++ devel/kreport/Makefile 27 Jul 2018 18:47:08 -0000
@@ -1,9 +1,13 @@
 # $OpenBSD: Makefile,v 1.4 2018/05/21 10:51:55 rsadowski Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = framework for generation of reports in multiple formats
 
 VERSION = 3.1.0
 DISTNAME = kreport-${VERSION}
+REVISION = 0
 
 CATEGORIES = devel
 
Index: geo/qgis/Makefile
===================================================================
RCS file: /cvs/ports/geo/qgis/Makefile,v
retrieving revision 1.91
diff -u -p -u -p -r1.91 Makefile
--- geo/qgis/Makefile 23 Jul 2018 07:05:32 -0000 1.91
+++ geo/qgis/Makefile 27 Jul 2018 18:47:16 -0000
@@ -1,8 +1,12 @@
 # $OpenBSD: Makefile,v 1.91 2018/07/23 07:05:32 landry Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = desktop geographical information system
 
 DISTNAME = qgis-3.2.1
+REVISION = 0
 EXTRACT_SUFX = .tar.bz2
 CATEGORIES = geo x11
 
Index: mail/trojita/Makefile
===================================================================
RCS file: /cvs/ports/mail/trojita/Makefile,v
retrieving revision 1.28
diff -u -p -u -p -r1.28 Makefile
--- mail/trojita/Makefile 29 Jun 2018 22:16:17 -0000 1.28
+++ mail/trojita/Makefile 27 Jul 2018 18:47:19 -0000
@@ -1,10 +1,12 @@
 # $OpenBSD: Makefile,v 1.28 2018/06/29 22:16:17 espie Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = fast Qt IMAP e-mail client
 
 DISTNAME = trojita-0.7
-REVISION = 7
-
+REVISION = 8
 SHARED_LIBS = trojita_plugins 2.0 # 2.0
 
 CATEGORIES = mail x11
Index: net/ktorrent/Makefile
===================================================================
RCS file: /cvs/ports/net/ktorrent/Makefile,v
retrieving revision 1.42
diff -u -p -u -p -r1.42 Makefile
--- net/ktorrent/Makefile 29 Jun 2018 22:16:19 -0000 1.42
+++ net/ktorrent/Makefile 27 Jul 2018 18:47:28 -0000
@@ -1,9 +1,12 @@
 # $OpenBSD: Makefile,v 1.42 2018/06/29 22:16:19 espie Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = BitTorrent Client
 
 DISTNAME = ktorrent-5.1.0
-REVISION = 1
+REVISION = 2
 
 SHARED_LIBS +=  ktcore                    1.0 # 0.0
 
Index: net/owncloudclient/Makefile
===================================================================
RCS file: /cvs/ports/net/owncloudclient/Makefile,v
retrieving revision 1.33
diff -u -p -u -p -r1.33 Makefile
--- net/owncloudclient/Makefile 29 Jun 2018 22:16:19 -0000 1.33
+++ net/owncloudclient/Makefile 27 Jul 2018 18:47:29 -0000
@@ -1,9 +1,12 @@
 # $OpenBSD: Makefile,v 1.33 2018/06/29 22:16:19 espie Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = owncloud sync client
 
 DISTNAME = owncloudclient-2.4.1
-REVISION = 2
+REVISION = 3
 
 SHARED_LIBS = owncloudsync 4.0
 SHARED_LIBS += ocsync 4.0
Index: net/qsyncthingtray/Makefile
===================================================================
RCS file: /cvs/ports/net/qsyncthingtray/Makefile,v
retrieving revision 1.6
diff -u -p -u -p -r1.6 Makefile
--- net/qsyncthingtray/Makefile 24 Feb 2018 10:14:55 -0000 1.6
+++ net/qsyncthingtray/Makefile 27 Jul 2018 18:47:33 -0000
@@ -1,11 +1,15 @@
 # $OpenBSD: Makefile,v 1.6 2018/02/24 10:14:55 bket Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = system tray app for Syncthing
 
 GH_ACCOUNT = sieren
 GH_PROJECT = QSyncthingTray
 GH_TAGNAME = 0.5.8
 PKGNAME = qsyncthingtray-${GH_TAGNAME}
+REVISION = 0
 
 CATEGORIES = net x11
 HOMEPAGE = https://github.com/sieren/QSyncthingTray
Index: www/otter-browser/Makefile
===================================================================
RCS file: /cvs/ports/www/otter-browser/Makefile,v
retrieving revision 1.28
diff -u -p -u -p -r1.28 Makefile
--- www/otter-browser/Makefile 29 Jun 2018 22:16:22 -0000 1.28
+++ www/otter-browser/Makefile 27 Jul 2018 18:47:45 -0000
@@ -1,9 +1,12 @@
 # $OpenBSD: Makefile,v 1.28 2018/06/29 22:16:22 espie Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = browser aiming to recreate classic Opera (12.x) UI using Qt5
 
 DISTNAME = otter-browser-0.9.94
-REVISION = 1
+REVISION = 2
 
 CATEGORIES = www
 
Index: www/ruby-capybara-webkit/Makefile
===================================================================
RCS file: /cvs/ports/www/ruby-capybara-webkit/Makefile,v
retrieving revision 1.23
diff -u -p -u -p -r1.23 Makefile
--- www/ruby-capybara-webkit/Makefile 13 Jun 2018 22:26:53 -0000 1.23
+++ www/ruby-capybara-webkit/Makefile 27 Jul 2018 18:47:46 -0000
@@ -1,9 +1,12 @@
 # $OpenBSD: Makefile,v 1.23 2018/06/13 22:26:53 jeremy Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = capybara driver that uses WebKit
 
 DISTNAME = capybara-webkit-1.14.0
-REVISION = 0
+REVISION = 1
 CATEGORIES = www
 
 HOMEPAGE= https://github.com/thoughtbot/capybara-webkit
Index: x11/kde-applications/umbrello/Makefile
===================================================================
RCS file: /cvs/ports/x11/kde-applications/umbrello/Makefile,v
retrieving revision 1.3
diff -u -p -u -p -r1.3 Makefile
--- x11/kde-applications/umbrello/Makefile 29 Jun 2018 22:16:26 -0000 1.3
+++ x11/kde-applications/umbrello/Makefile 27 Jul 2018 18:47:48 -0000
@@ -1,9 +1,12 @@
 # $OpenBSD: Makefile,v 1.3 2018/06/29 22:16:26 espie Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = UML Modeller
 DISTNAME = umbrello-${VERSION}
 CATEGORIES = x11 productivity
-REVISION = 1
+REVISION = 2
 
 HOMEPAGE = https://umbrello.kde.org/
 
Index: x11/py-qt5/Makefile
===================================================================
RCS file: /cvs/ports/x11/py-qt5/Makefile,v
retrieving revision 1.14
diff -u -p -u -p -r1.14 Makefile
--- x11/py-qt5/Makefile 16 Nov 2017 22:23:42 -0000 1.14
+++ x11/py-qt5/Makefile 27 Jul 2018 18:47:49 -0000
@@ -1,11 +1,14 @@
 # $OpenBSD: Makefile,v 1.14 2017/11/16 22:23:42 naddy Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 COMMENT = python Qt5 bindings
 
 V= 5.9
 DISTNAME= PyQt5_gpl-${V}
 PKGNAME= py-qt5-${V}
-REVISION = 2
+REVISION = 3
 
 CATEGORIES= x11 devel
 
Index: x11/qt5/qttools/Makefile
===================================================================
RCS file: /cvs/ports/x11/qt5/qttools/Makefile,v
retrieving revision 1.5
diff -u -p -u -p -r1.5 Makefile
--- x11/qt5/qttools/Makefile 24 Oct 2017 10:12:20 -0000 1.5
+++ x11/qt5/qttools/Makefile 27 Jul 2018 18:47:49 -0000
@@ -1,9 +1,13 @@
 # $OpenBSD: Makefile,v 1.5 2017/10/24 10:12:20 rsadowski Exp $
 
+# Qt5Webkit
+USE_WXNEEDED = Yes
+
 QT5NAME = QtTools
 COMMENT-main = Qt development tools
 COMMENT-webview = Webkit-based Qt Designer plugin
 PKGNAME-webview = qwebview-${VERSION}
+REVISION-webview = 0
 
 DPB_PROPERTIES = parallel
 

Reply | Threaded
Open this post in threaded view
|

Re: Qt5Webkit -> USE_WXNEEDED

Rafael Sadowski
If no concerns I would like to commit the patch.

On Fri Jul 27, 2018 at 08:52:11PM +0200, Rafael Sadowski wrote:

> Hi All,
>
> If we link against Qt5WebKit, we must also set USE_WXNEEDED.
>
> Ok? Comments?
>
> Rafael Sadowski
>
> Index: audio/mscore/Makefile
> ===================================================================
> RCS file: /cvs/ports/audio/mscore/Makefile,v
> retrieving revision 1.35
> diff -u -p -u -p -r1.35 Makefile
> --- audio/mscore/Makefile 29 Jun 2018 22:16:09 -0000 1.35
> +++ audio/mscore/Makefile 27 Jul 2018 18:47:02 -0000
> @@ -1,5 +1,8 @@
>  # $OpenBSD: Makefile,v 1.35 2018/06/29 22:16:09 espie Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  BROKEN-hppa = ICE on moc_qtsingleapplication.cxx
>  
>  V = 2.2.1
> @@ -8,7 +11,7 @@ DISTNAME = MuseScore-${V}
>  PKGNAME = musescore-${V}
>  EXTRACT_SUFX = .zip
>  CATEGORIES = audio x11
> -REVISION = 1
> +REVISION = 2
>  
>  HOMEPAGE = http://musescore.org/
>  MAINTAINER = Brian Callahan <[hidden email]>
> Index: devel/kf5/kdesignerplugin/Makefile
> ===================================================================
> RCS file: /cvs/ports/devel/kf5/kdesignerplugin/Makefile,v
> retrieving revision 1.7
> diff -u -p -u -p -r1.7 Makefile
> --- devel/kf5/kdesignerplugin/Makefile 4 Jun 2018 20:25:32 -0000 1.7
> +++ devel/kf5/kdesignerplugin/Makefile 27 Jul 2018 18:47:08 -0000
> @@ -1,7 +1,11 @@
>  # $OpenBSD: Makefile,v 1.7 2018/06/04 20:25:32 rsadowski Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = integrating KDE 5 widgets with Qt Designer
>  DISTNAME = kdesignerplugin-${VERSION}
> +REVISION = 0
>  
>  WANTLIB += ${COMPILER_LIBCXX} KF5Auth KF5Bookmarks KF5Codecs KF5Completion
>  WANTLIB += KF5ConfigCore KF5ConfigGui KF5ConfigWidgets KF5CoreAddons
> Index: devel/kf5/kdewebkit/Makefile
> ===================================================================
> RCS file: /cvs/ports/devel/kf5/kdewebkit/Makefile,v
> retrieving revision 1.9
> diff -u -p -u -p -r1.9 Makefile
> --- devel/kf5/kdewebkit/Makefile 4 Jun 2018 20:25:32 -0000 1.9
> +++ devel/kf5/kdewebkit/Makefile 27 Jul 2018 18:47:08 -0000
> @@ -1,7 +1,11 @@
>  # $OpenBSD: Makefile,v 1.9 2018/06/04 20:25:32 rsadowski Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = integration of the HTML rendering engine WebKit into KDE
>  DISTNAME = kdewebkit-${VERSION}
> +REVISION = 0
>  
>  SHARED_LIBS = KF5WebKit 4.1
>  
> Index: devel/kreport/Makefile
> ===================================================================
> RCS file: /cvs/ports/devel/kreport/Makefile,v
> retrieving revision 1.4
> diff -u -p -u -p -r1.4 Makefile
> --- devel/kreport/Makefile 21 May 2018 10:51:55 -0000 1.4
> +++ devel/kreport/Makefile 27 Jul 2018 18:47:08 -0000
> @@ -1,9 +1,13 @@
>  # $OpenBSD: Makefile,v 1.4 2018/05/21 10:51:55 rsadowski Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = framework for generation of reports in multiple formats
>  
>  VERSION = 3.1.0
>  DISTNAME = kreport-${VERSION}
> +REVISION = 0
>  
>  CATEGORIES = devel
>  
> Index: geo/qgis/Makefile
> ===================================================================
> RCS file: /cvs/ports/geo/qgis/Makefile,v
> retrieving revision 1.91
> diff -u -p -u -p -r1.91 Makefile
> --- geo/qgis/Makefile 23 Jul 2018 07:05:32 -0000 1.91
> +++ geo/qgis/Makefile 27 Jul 2018 18:47:16 -0000
> @@ -1,8 +1,12 @@
>  # $OpenBSD: Makefile,v 1.91 2018/07/23 07:05:32 landry Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = desktop geographical information system
>  
>  DISTNAME = qgis-3.2.1
> +REVISION = 0
>  EXTRACT_SUFX = .tar.bz2
>  CATEGORIES = geo x11
>  
> Index: mail/trojita/Makefile
> ===================================================================
> RCS file: /cvs/ports/mail/trojita/Makefile,v
> retrieving revision 1.28
> diff -u -p -u -p -r1.28 Makefile
> --- mail/trojita/Makefile 29 Jun 2018 22:16:17 -0000 1.28
> +++ mail/trojita/Makefile 27 Jul 2018 18:47:19 -0000
> @@ -1,10 +1,12 @@
>  # $OpenBSD: Makefile,v 1.28 2018/06/29 22:16:17 espie Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = fast Qt IMAP e-mail client
>  
>  DISTNAME = trojita-0.7
> -REVISION = 7
> -
> +REVISION = 8
>  SHARED_LIBS = trojita_plugins 2.0 # 2.0
>  
>  CATEGORIES = mail x11
> Index: net/ktorrent/Makefile
> ===================================================================
> RCS file: /cvs/ports/net/ktorrent/Makefile,v
> retrieving revision 1.42
> diff -u -p -u -p -r1.42 Makefile
> --- net/ktorrent/Makefile 29 Jun 2018 22:16:19 -0000 1.42
> +++ net/ktorrent/Makefile 27 Jul 2018 18:47:28 -0000
> @@ -1,9 +1,12 @@
>  # $OpenBSD: Makefile,v 1.42 2018/06/29 22:16:19 espie Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = BitTorrent Client
>  
>  DISTNAME = ktorrent-5.1.0
> -REVISION = 1
> +REVISION = 2
>  
>  SHARED_LIBS +=  ktcore                    1.0 # 0.0
>  
> Index: net/owncloudclient/Makefile
> ===================================================================
> RCS file: /cvs/ports/net/owncloudclient/Makefile,v
> retrieving revision 1.33
> diff -u -p -u -p -r1.33 Makefile
> --- net/owncloudclient/Makefile 29 Jun 2018 22:16:19 -0000 1.33
> +++ net/owncloudclient/Makefile 27 Jul 2018 18:47:29 -0000
> @@ -1,9 +1,12 @@
>  # $OpenBSD: Makefile,v 1.33 2018/06/29 22:16:19 espie Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = owncloud sync client
>  
>  DISTNAME = owncloudclient-2.4.1
> -REVISION = 2
> +REVISION = 3
>  
>  SHARED_LIBS = owncloudsync 4.0
>  SHARED_LIBS += ocsync 4.0
> Index: net/qsyncthingtray/Makefile
> ===================================================================
> RCS file: /cvs/ports/net/qsyncthingtray/Makefile,v
> retrieving revision 1.6
> diff -u -p -u -p -r1.6 Makefile
> --- net/qsyncthingtray/Makefile 24 Feb 2018 10:14:55 -0000 1.6
> +++ net/qsyncthingtray/Makefile 27 Jul 2018 18:47:33 -0000
> @@ -1,11 +1,15 @@
>  # $OpenBSD: Makefile,v 1.6 2018/02/24 10:14:55 bket Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = system tray app for Syncthing
>  
>  GH_ACCOUNT = sieren
>  GH_PROJECT = QSyncthingTray
>  GH_TAGNAME = 0.5.8
>  PKGNAME = qsyncthingtray-${GH_TAGNAME}
> +REVISION = 0
>  
>  CATEGORIES = net x11
>  HOMEPAGE = https://github.com/sieren/QSyncthingTray
> Index: www/otter-browser/Makefile
> ===================================================================
> RCS file: /cvs/ports/www/otter-browser/Makefile,v
> retrieving revision 1.28
> diff -u -p -u -p -r1.28 Makefile
> --- www/otter-browser/Makefile 29 Jun 2018 22:16:22 -0000 1.28
> +++ www/otter-browser/Makefile 27 Jul 2018 18:47:45 -0000
> @@ -1,9 +1,12 @@
>  # $OpenBSD: Makefile,v 1.28 2018/06/29 22:16:22 espie Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = browser aiming to recreate classic Opera (12.x) UI using Qt5
>  
>  DISTNAME = otter-browser-0.9.94
> -REVISION = 1
> +REVISION = 2
>  
>  CATEGORIES = www
>  
> Index: www/ruby-capybara-webkit/Makefile
> ===================================================================
> RCS file: /cvs/ports/www/ruby-capybara-webkit/Makefile,v
> retrieving revision 1.23
> diff -u -p -u -p -r1.23 Makefile
> --- www/ruby-capybara-webkit/Makefile 13 Jun 2018 22:26:53 -0000 1.23
> +++ www/ruby-capybara-webkit/Makefile 27 Jul 2018 18:47:46 -0000
> @@ -1,9 +1,12 @@
>  # $OpenBSD: Makefile,v 1.23 2018/06/13 22:26:53 jeremy Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = capybara driver that uses WebKit
>  
>  DISTNAME = capybara-webkit-1.14.0
> -REVISION = 0
> +REVISION = 1
>  CATEGORIES = www
>  
>  HOMEPAGE= https://github.com/thoughtbot/capybara-webkit
> Index: x11/kde-applications/umbrello/Makefile
> ===================================================================
> RCS file: /cvs/ports/x11/kde-applications/umbrello/Makefile,v
> retrieving revision 1.3
> diff -u -p -u -p -r1.3 Makefile
> --- x11/kde-applications/umbrello/Makefile 29 Jun 2018 22:16:26 -0000 1.3
> +++ x11/kde-applications/umbrello/Makefile 27 Jul 2018 18:47:48 -0000
> @@ -1,9 +1,12 @@
>  # $OpenBSD: Makefile,v 1.3 2018/06/29 22:16:26 espie Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = UML Modeller
>  DISTNAME = umbrello-${VERSION}
>  CATEGORIES = x11 productivity
> -REVISION = 1
> +REVISION = 2
>  
>  HOMEPAGE = https://umbrello.kde.org/
>  
> Index: x11/py-qt5/Makefile
> ===================================================================
> RCS file: /cvs/ports/x11/py-qt5/Makefile,v
> retrieving revision 1.14
> diff -u -p -u -p -r1.14 Makefile
> --- x11/py-qt5/Makefile 16 Nov 2017 22:23:42 -0000 1.14
> +++ x11/py-qt5/Makefile 27 Jul 2018 18:47:49 -0000
> @@ -1,11 +1,14 @@
>  # $OpenBSD: Makefile,v 1.14 2017/11/16 22:23:42 naddy Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  COMMENT = python Qt5 bindings
>  
>  V= 5.9
>  DISTNAME= PyQt5_gpl-${V}
>  PKGNAME= py-qt5-${V}
> -REVISION = 2
> +REVISION = 3
>  
>  CATEGORIES= x11 devel
>  
> Index: x11/qt5/qttools/Makefile
> ===================================================================
> RCS file: /cvs/ports/x11/qt5/qttools/Makefile,v
> retrieving revision 1.5
> diff -u -p -u -p -r1.5 Makefile
> --- x11/qt5/qttools/Makefile 24 Oct 2017 10:12:20 -0000 1.5
> +++ x11/qt5/qttools/Makefile 27 Jul 2018 18:47:49 -0000
> @@ -1,9 +1,13 @@
>  # $OpenBSD: Makefile,v 1.5 2017/10/24 10:12:20 rsadowski Exp $
>  
> +# Qt5Webkit
> +USE_WXNEEDED = Yes
> +
>  QT5NAME = QtTools
>  COMMENT-main = Qt development tools
>  COMMENT-webview = Webkit-based Qt Designer plugin
>  PKGNAME-webview = qwebview-${VERSION}
> +REVISION-webview = 0
>  
>  DPB_PROPERTIES = parallel
>  
>

Reply | Threaded
Open this post in threaded view
|

Re: Qt5Webkit -> USE_WXNEEDED

Stuart Henderson
On 2018/08/02 07:17, Rafael Sadowski wrote:
> If no concerns I would like to commit the patch.

I'm a bit confused about this because:

1. we have a patch described as "Enable W^X in QtWebkit's JIT"
in x11/qt5/qtwebkit/patches/patch-Source_JavaScriptCore_jsc_pro

2. these programs (at least the ones I tested, which isn't all of
them) already work - I see they are somehow getting the OPENBSD_WXNEEDED
section added despite not having USE_WXNEEDED

Any idea what's going on?


> On Fri Jul 27, 2018 at 08:52:11PM +0200, Rafael Sadowski wrote:
> > Hi All,
> >
> > If we link against Qt5WebKit, we must also set USE_WXNEEDED.
> >
> > Ok? Comments?
> >
> > Rafael Sadowski
> >
> > Index: audio/mscore/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/audio/mscore/Makefile,v
> > retrieving revision 1.35
> > diff -u -p -u -p -r1.35 Makefile
> > --- audio/mscore/Makefile 29 Jun 2018 22:16:09 -0000 1.35
> > +++ audio/mscore/Makefile 27 Jul 2018 18:47:02 -0000
> > @@ -1,5 +1,8 @@
> >  # $OpenBSD: Makefile,v 1.35 2018/06/29 22:16:09 espie Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  BROKEN-hppa = ICE on moc_qtsingleapplication.cxx
> >  
> >  V = 2.2.1
> > @@ -8,7 +11,7 @@ DISTNAME = MuseScore-${V}
> >  PKGNAME = musescore-${V}
> >  EXTRACT_SUFX = .zip
> >  CATEGORIES = audio x11
> > -REVISION = 1
> > +REVISION = 2
> >  
> >  HOMEPAGE = http://musescore.org/
> >  MAINTAINER = Brian Callahan <[hidden email]>
> > Index: devel/kf5/kdesignerplugin/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/devel/kf5/kdesignerplugin/Makefile,v
> > retrieving revision 1.7
> > diff -u -p -u -p -r1.7 Makefile
> > --- devel/kf5/kdesignerplugin/Makefile 4 Jun 2018 20:25:32 -0000 1.7
> > +++ devel/kf5/kdesignerplugin/Makefile 27 Jul 2018 18:47:08 -0000
> > @@ -1,7 +1,11 @@
> >  # $OpenBSD: Makefile,v 1.7 2018/06/04 20:25:32 rsadowski Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = integrating KDE 5 widgets with Qt Designer
> >  DISTNAME = kdesignerplugin-${VERSION}
> > +REVISION = 0
> >  
> >  WANTLIB += ${COMPILER_LIBCXX} KF5Auth KF5Bookmarks KF5Codecs KF5Completion
> >  WANTLIB += KF5ConfigCore KF5ConfigGui KF5ConfigWidgets KF5CoreAddons
> > Index: devel/kf5/kdewebkit/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/devel/kf5/kdewebkit/Makefile,v
> > retrieving revision 1.9
> > diff -u -p -u -p -r1.9 Makefile
> > --- devel/kf5/kdewebkit/Makefile 4 Jun 2018 20:25:32 -0000 1.9
> > +++ devel/kf5/kdewebkit/Makefile 27 Jul 2018 18:47:08 -0000
> > @@ -1,7 +1,11 @@
> >  # $OpenBSD: Makefile,v 1.9 2018/06/04 20:25:32 rsadowski Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = integration of the HTML rendering engine WebKit into KDE
> >  DISTNAME = kdewebkit-${VERSION}
> > +REVISION = 0
> >  
> >  SHARED_LIBS = KF5WebKit 4.1
> >  
> > Index: devel/kreport/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/devel/kreport/Makefile,v
> > retrieving revision 1.4
> > diff -u -p -u -p -r1.4 Makefile
> > --- devel/kreport/Makefile 21 May 2018 10:51:55 -0000 1.4
> > +++ devel/kreport/Makefile 27 Jul 2018 18:47:08 -0000
> > @@ -1,9 +1,13 @@
> >  # $OpenBSD: Makefile,v 1.4 2018/05/21 10:51:55 rsadowski Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = framework for generation of reports in multiple formats
> >  
> >  VERSION = 3.1.0
> >  DISTNAME = kreport-${VERSION}
> > +REVISION = 0
> >  
> >  CATEGORIES = devel
> >  
> > Index: geo/qgis/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/geo/qgis/Makefile,v
> > retrieving revision 1.91
> > diff -u -p -u -p -r1.91 Makefile
> > --- geo/qgis/Makefile 23 Jul 2018 07:05:32 -0000 1.91
> > +++ geo/qgis/Makefile 27 Jul 2018 18:47:16 -0000
> > @@ -1,8 +1,12 @@
> >  # $OpenBSD: Makefile,v 1.91 2018/07/23 07:05:32 landry Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = desktop geographical information system
> >  
> >  DISTNAME = qgis-3.2.1
> > +REVISION = 0
> >  EXTRACT_SUFX = .tar.bz2
> >  CATEGORIES = geo x11
> >  
> > Index: mail/trojita/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/mail/trojita/Makefile,v
> > retrieving revision 1.28
> > diff -u -p -u -p -r1.28 Makefile
> > --- mail/trojita/Makefile 29 Jun 2018 22:16:17 -0000 1.28
> > +++ mail/trojita/Makefile 27 Jul 2018 18:47:19 -0000
> > @@ -1,10 +1,12 @@
> >  # $OpenBSD: Makefile,v 1.28 2018/06/29 22:16:17 espie Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = fast Qt IMAP e-mail client
> >  
> >  DISTNAME = trojita-0.7
> > -REVISION = 7
> > -
> > +REVISION = 8
> >  SHARED_LIBS = trojita_plugins 2.0 # 2.0
> >  
> >  CATEGORIES = mail x11
> > Index: net/ktorrent/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/net/ktorrent/Makefile,v
> > retrieving revision 1.42
> > diff -u -p -u -p -r1.42 Makefile
> > --- net/ktorrent/Makefile 29 Jun 2018 22:16:19 -0000 1.42
> > +++ net/ktorrent/Makefile 27 Jul 2018 18:47:28 -0000
> > @@ -1,9 +1,12 @@
> >  # $OpenBSD: Makefile,v 1.42 2018/06/29 22:16:19 espie Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = BitTorrent Client
> >  
> >  DISTNAME = ktorrent-5.1.0
> > -REVISION = 1
> > +REVISION = 2
> >  
> >  SHARED_LIBS +=  ktcore                    1.0 # 0.0
> >  
> > Index: net/owncloudclient/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/net/owncloudclient/Makefile,v
> > retrieving revision 1.33
> > diff -u -p -u -p -r1.33 Makefile
> > --- net/owncloudclient/Makefile 29 Jun 2018 22:16:19 -0000 1.33
> > +++ net/owncloudclient/Makefile 27 Jul 2018 18:47:29 -0000
> > @@ -1,9 +1,12 @@
> >  # $OpenBSD: Makefile,v 1.33 2018/06/29 22:16:19 espie Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = owncloud sync client
> >  
> >  DISTNAME = owncloudclient-2.4.1
> > -REVISION = 2
> > +REVISION = 3
> >  
> >  SHARED_LIBS = owncloudsync 4.0
> >  SHARED_LIBS += ocsync 4.0
> > Index: net/qsyncthingtray/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/net/qsyncthingtray/Makefile,v
> > retrieving revision 1.6
> > diff -u -p -u -p -r1.6 Makefile
> > --- net/qsyncthingtray/Makefile 24 Feb 2018 10:14:55 -0000 1.6
> > +++ net/qsyncthingtray/Makefile 27 Jul 2018 18:47:33 -0000
> > @@ -1,11 +1,15 @@
> >  # $OpenBSD: Makefile,v 1.6 2018/02/24 10:14:55 bket Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = system tray app for Syncthing
> >  
> >  GH_ACCOUNT = sieren
> >  GH_PROJECT = QSyncthingTray
> >  GH_TAGNAME = 0.5.8
> >  PKGNAME = qsyncthingtray-${GH_TAGNAME}
> > +REVISION = 0
> >  
> >  CATEGORIES = net x11
> >  HOMEPAGE = https://github.com/sieren/QSyncthingTray
> > Index: www/otter-browser/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/www/otter-browser/Makefile,v
> > retrieving revision 1.28
> > diff -u -p -u -p -r1.28 Makefile
> > --- www/otter-browser/Makefile 29 Jun 2018 22:16:22 -0000 1.28
> > +++ www/otter-browser/Makefile 27 Jul 2018 18:47:45 -0000
> > @@ -1,9 +1,12 @@
> >  # $OpenBSD: Makefile,v 1.28 2018/06/29 22:16:22 espie Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = browser aiming to recreate classic Opera (12.x) UI using Qt5
> >  
> >  DISTNAME = otter-browser-0.9.94
> > -REVISION = 1
> > +REVISION = 2
> >  
> >  CATEGORIES = www
> >  
> > Index: www/ruby-capybara-webkit/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/www/ruby-capybara-webkit/Makefile,v
> > retrieving revision 1.23
> > diff -u -p -u -p -r1.23 Makefile
> > --- www/ruby-capybara-webkit/Makefile 13 Jun 2018 22:26:53 -0000 1.23
> > +++ www/ruby-capybara-webkit/Makefile 27 Jul 2018 18:47:46 -0000
> > @@ -1,9 +1,12 @@
> >  # $OpenBSD: Makefile,v 1.23 2018/06/13 22:26:53 jeremy Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = capybara driver that uses WebKit
> >  
> >  DISTNAME = capybara-webkit-1.14.0
> > -REVISION = 0
> > +REVISION = 1
> >  CATEGORIES = www
> >  
> >  HOMEPAGE= https://github.com/thoughtbot/capybara-webkit
> > Index: x11/kde-applications/umbrello/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/x11/kde-applications/umbrello/Makefile,v
> > retrieving revision 1.3
> > diff -u -p -u -p -r1.3 Makefile
> > --- x11/kde-applications/umbrello/Makefile 29 Jun 2018 22:16:26 -0000 1.3
> > +++ x11/kde-applications/umbrello/Makefile 27 Jul 2018 18:47:48 -0000
> > @@ -1,9 +1,12 @@
> >  # $OpenBSD: Makefile,v 1.3 2018/06/29 22:16:26 espie Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = UML Modeller
> >  DISTNAME = umbrello-${VERSION}
> >  CATEGORIES = x11 productivity
> > -REVISION = 1
> > +REVISION = 2
> >  
> >  HOMEPAGE = https://umbrello.kde.org/
> >  
> > Index: x11/py-qt5/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/x11/py-qt5/Makefile,v
> > retrieving revision 1.14
> > diff -u -p -u -p -r1.14 Makefile
> > --- x11/py-qt5/Makefile 16 Nov 2017 22:23:42 -0000 1.14
> > +++ x11/py-qt5/Makefile 27 Jul 2018 18:47:49 -0000
> > @@ -1,11 +1,14 @@
> >  # $OpenBSD: Makefile,v 1.14 2017/11/16 22:23:42 naddy Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  COMMENT = python Qt5 bindings
> >  
> >  V= 5.9
> >  DISTNAME= PyQt5_gpl-${V}
> >  PKGNAME= py-qt5-${V}
> > -REVISION = 2
> > +REVISION = 3
> >  
> >  CATEGORIES= x11 devel
> >  
> > Index: x11/qt5/qttools/Makefile
> > ===================================================================
> > RCS file: /cvs/ports/x11/qt5/qttools/Makefile,v
> > retrieving revision 1.5
> > diff -u -p -u -p -r1.5 Makefile
> > --- x11/qt5/qttools/Makefile 24 Oct 2017 10:12:20 -0000 1.5
> > +++ x11/qt5/qttools/Makefile 27 Jul 2018 18:47:49 -0000
> > @@ -1,9 +1,13 @@
> >  # $OpenBSD: Makefile,v 1.5 2017/10/24 10:12:20 rsadowski Exp $
> >  
> > +# Qt5Webkit
> > +USE_WXNEEDED = Yes
> > +
> >  QT5NAME = QtTools
> >  COMMENT-main = Qt development tools
> >  COMMENT-webview = Webkit-based Qt Designer plugin
> >  PKGNAME-webview = qwebview-${VERSION}
> > +REVISION-webview = 0
> >  
> >  DPB_PROPERTIES = parallel
> >  
> >
>

Reply | Threaded
Open this post in threaded view
|

Re: Qt5Webkit -> USE_WXNEEDED

David Coppa
On Thu, Aug 2, 2018 at 11:38 AM, Stuart Henderson <[hidden email]> wrote:

> On 2018/08/02 07:17, Rafael Sadowski wrote:
>> If no concerns I would like to commit the patch.
>
> I'm a bit confused about this because:
>
> 1. we have a patch described as "Enable W^X in QtWebkit's JIT"
> in x11/qt5/qtwebkit/patches/patch-Source_JavaScriptCore_jsc_pro
>
> 2. these programs (at least the ones I tested, which isn't all of
> them) already work - I see they are somehow getting the OPENBSD_WXNEEDED
> section added despite not having USE_WXNEEDED
>
> Any idea what's going on?

cmake "automagically" adds "-Wl,-z,wxneeded", see
devel/cmake/patches/patch-Source_cmComputeLinkInformation_cxx

Ciao!
David

Reply | Threaded
Open this post in threaded view
|

Re: Qt5Webkit -> USE_WXNEEDED

Vadim Zhukov
In reply to this post by Stuart Henderson
чт, 2 авг. 2018 г. в 12:40, Stuart Henderson <[hidden email]>:
>
> On 2018/08/02 07:17, Rafael Sadowski wrote:
> > If no concerns I would like to commit the patch.
>
> I'm a bit confused about this because:
>
> 1. we have a patch described as "Enable W^X in QtWebkit's JIT"
> in x11/qt5/qtwebkit/patches/patch-Source_JavaScriptCore_jsc_pro

Unfortunately, it QtWebKit still crashes due to W^X violations, even
with those patches. And there's really no point in polishing it
nowadays, it's community-maintained (read: it gets only very minor
updates to make it build work with newer Qt versions, as nobody in
good mind is willing/able to fully maintain it).

Yes, you don't want to run QtWebkit-based browsers for real.

Reply | Threaded
Open this post in threaded view
|

Re: Qt5Webkit -> USE_WXNEEDED

Stuart Henderson-6
On 2018/08/03 10:34, Vadim Zhukov wrote:

> чт, 2 авг. 2018 г. в 12:40, Stuart Henderson <[hidden email]>:
> >
> > On 2018/08/02 07:17, Rafael Sadowski wrote:
> > > If no concerns I would like to commit the patch.
> >
> > I'm a bit confused about this because:
> >
> > 1. we have a patch described as "Enable W^X in QtWebkit's JIT"
> > in x11/qt5/qtwebkit/patches/patch-Source_JavaScriptCore_jsc_pro
>
> Unfortunately, it QtWebKit still crashes due to W^X violations, even
> with those patches. And there's really no point in polishing it
> nowadays, it's community-maintained (read: it gets only very minor
> updates to make it build work with newer Qt versions, as nobody in
> good mind is willing/able to fully maintain it).
>
> Yes, you don't want to run QtWebkit-based browsers for real.

So, OK for the USE_WXNEEDED diff, but I think it might be better to do
the following to reduce the chance of running into more cases where it's
missing:

- have portcheck complain if webkit is listed in WANTLIB and USE_WXNEEDED
is not set

- possibly remove the hack from cmake?

Reply | Threaded
Open this post in threaded view
|

Re: Qt5Webkit -> USE_WXNEEDED

Antoine Jacoutot-7
On Fri, Aug 03, 2018 at 10:56:06AM +0100, Stuart Henderson wrote:

> On 2018/08/03 10:34, Vadim Zhukov wrote:
> > чт, 2 авг. 2018 г. в 12:40, Stuart Henderson <[hidden email]>:
> > >
> > > On 2018/08/02 07:17, Rafael Sadowski wrote:
> > > > If no concerns I would like to commit the patch.
> > >
> > > I'm a bit confused about this because:
> > >
> > > 1. we have a patch described as "Enable W^X in QtWebkit's JIT"
> > > in x11/qt5/qtwebkit/patches/patch-Source_JavaScriptCore_jsc_pro
> >
> > Unfortunately, it QtWebKit still crashes due to W^X violations, even
> > with those patches. And there's really no point in polishing it
> > nowadays, it's community-maintained (read: it gets only very minor
> > updates to make it build work with newer Qt versions, as nobody in
> > good mind is willing/able to fully maintain it).
> >
> > Yes, you don't want to run QtWebkit-based browsers for real.
>
> So, OK for the USE_WXNEEDED diff, but I think it might be better to do
> the following to reduce the chance of running into more cases where it's
> missing:
>
> - have portcheck complain if webkit is listed in WANTLIB and USE_WXNEEDED
> is not set

Hmm. I don't like that approach.
Most ports with webkit in WANTLIB work just fine without having USE_WXNEEDED
set.

> - possibly remove the hack from cmake?


--
Antoine

Reply | Threaded
Open this post in threaded view
|

Re: Qt5Webkit -> USE_WXNEEDED

Stuart Henderson
On 2018/08/03 21:39, Antoine Jacoutot wrote:

> On Fri, Aug 03, 2018 at 10:56:06AM +0100, Stuart Henderson wrote:
> > On 2018/08/03 10:34, Vadim Zhukov wrote:
> > > чт, 2 авг. 2018 г. в 12:40, Stuart Henderson <[hidden email]>:
> > > >
> > > > On 2018/08/02 07:17, Rafael Sadowski wrote:
> > > > > If no concerns I would like to commit the patch.
> > > >
> > > > I'm a bit confused about this because:
> > > >
> > > > 1. we have a patch described as "Enable W^X in QtWebkit's JIT"
> > > > in x11/qt5/qtwebkit/patches/patch-Source_JavaScriptCore_jsc_pro
> > >
> > > Unfortunately, it QtWebKit still crashes due to W^X violations, even
> > > with those patches. And there's really no point in polishing it
> > > nowadays, it's community-maintained (read: it gets only very minor
> > > updates to make it build work with newer Qt versions, as nobody in
> > > good mind is willing/able to fully maintain it).
> > >
> > > Yes, you don't want to run QtWebkit-based browsers for real.
> >
> > So, OK for the USE_WXNEEDED diff, but I think it might be better to do
> > the following to reduce the chance of running into more cases where it's
> > missing:
> >
> > - have portcheck complain if webkit is listed in WANTLIB and USE_WXNEEDED
> > is not set
>
> Hmm. I don't like that approach.
> Most ports with webkit in WANTLIB work just fine without having USE_WXNEEDED
> set.

Only because of the cmake/pkg-config hacks though, and it's partly for
self-documentation besides actually changing the build, this way you
can just do 'select fullpkgpath from ports where use_wxneeded=1' to find
them.

OTOH I'd probably feel differently if I maintained a bunch of ports using
webkit, so...

Reply | Threaded
Open this post in threaded view
|

Re: Qt5Webkit -> USE_WXNEEDED

Antoine Jacoutot-7
On Fri, Aug 03, 2018 at 10:55:55PM +0100, Stuart Henderson wrote:

> On 2018/08/03 21:39, Antoine Jacoutot wrote:
> > On Fri, Aug 03, 2018 at 10:56:06AM +0100, Stuart Henderson wrote:
> > > On 2018/08/03 10:34, Vadim Zhukov wrote:
> > > > чт, 2 авг. 2018 г. в 12:40, Stuart Henderson <[hidden email]>:
> > > > >
> > > > > On 2018/08/02 07:17, Rafael Sadowski wrote:
> > > > > > If no concerns I would like to commit the patch.
> > > > >
> > > > > I'm a bit confused about this because:
> > > > >
> > > > > 1. we have a patch described as "Enable W^X in QtWebkit's JIT"
> > > > > in x11/qt5/qtwebkit/patches/patch-Source_JavaScriptCore_jsc_pro
> > > >
> > > > Unfortunately, it QtWebKit still crashes due to W^X violations, even
> > > > with those patches. And there's really no point in polishing it
> > > > nowadays, it's community-maintained (read: it gets only very minor
> > > > updates to make it build work with newer Qt versions, as nobody in
> > > > good mind is willing/able to fully maintain it).
> > > >
> > > > Yes, you don't want to run QtWebkit-based browsers for real.
> > >
> > > So, OK for the USE_WXNEEDED diff, but I think it might be better to do
> > > the following to reduce the chance of running into more cases where it's
> > > missing:
> > >
> > > - have portcheck complain if webkit is listed in WANTLIB and USE_WXNEEDED
> > > is not set
> >
> > Hmm. I don't like that approach.
> > Most ports with webkit in WANTLIB work just fine without having USE_WXNEEDED
> > set.
>
> Only because of the cmake/pkg-config hacks though, and it's partly for
> self-documentation besides actually changing the build, this way you
> can just do 'select fullpkgpath from ports where use_wxneeded=1' to find
> them.

Don't forget overlinking. We probably have some webkit WANTLIBs that are because
of an dependency of the port that itself depends on webkit.
Also not every port use cmake :-)

Unless you are talking about qtwebkit specifically.

> OTOH I'd probably feel differently if I maintained a bunch of ports using
> webkit, so...
>

--
Antoine